Subject: Re: [PATCH v2 08/12] skip_prefix(): check const match between in and out params

From: Jeff King <[email-masked]>
Date: Thu, 2 Apr 2026 02:01:19 -0400

On Wed, Apr 01, 2026 at 10:11:45PM -0700, Junio C Hamano wrote:

> Jeff King <[email-masked]> writes:
> 
> > +/*
> > + * Check that an out-parameter that is "at least as const as" a matching
> > + * in-parameter. For example, skip_prefix() will return "out" that is a subset
> > + * of "str". So:
> 
> Sorry for not mentioning earlier, but I couldn't quite parse the
> above with "that" immediately after "out-parameter".  I am guessing
> that you wanted to say an equivalent of
> 
>     Check that an out-parameter "out" is at least as const as a
>     matching in-parameter "in".

Yes, it's just a typo. What you wrote is what I meant. Can you fix it up
while applying?

-Peff